Loading...
Searching...
No Matches
restinio::easy_parser::result_value_wrapper< std::array< T, S > > Struct Template Reference

`#include <easy_parser.hpp>`

## Public Types

using | result_type = std::array< T, S >
using | value_type = typename result_type::value_type
using | wrapped_type = impl::std_array_wrapper< T, S >

## Static Public Member Functions

static void | as_result (wrapped_type &to, result_type &&what)
static void | to_container (wrapped_type &to, value_type &&what)
static RESTINIO_NODISCARD result_type && | unwrap_value (wrapped_type &v)

## Detailed Description

template<typename T, std::size_t S>
struct restinio::easy_parser::result_value_wrapper< std::array< T, S > >

Definition at line 307 of file easy_parser.hpp.

## Member Typedef Documentation

## result_type

template<typename T , std::size_t S>

using restinio::easy_parser::result_value_wrapper< std::array< T, S > >::result_type = std::array< T, S >

Definition at line 309 of file easy_parser.hpp.

## value_type

template<typename T , std::size_t S>

using restinio::easy_parser::result_value_wrapper< std::array< T, S > >::value_type = typename result_type::value_type

Definition at line 310 of file easy_parser.hpp.

## wrapped_type

template<typename T , std::size_t S>

using restinio::easy_parser::result_value_wrapper< std::array< T, S > >::wrapped_type = impl::std_array_wrapper< T, S >

Definition at line 311 of file easy_parser.hpp.

## Member Function Documentation

## as_result()

template<typename T , std::size_t S>

static void restinio::easy_parser::result_value_wrapper< std::array< T, S > >::as_result | ( | wrapped_type & | to,
|  | result_type && | what
| ) |  |

inline static

Definition at line 314 of file easy_parser.hpp.

## to_container()

template<typename T , std::size_t S>

static void restinio::easy_parser::result_value_wrapper< std::array< T, S > >::to_container | ( | wrapped_type & | to,
|  | value_type && | what
| ) |  |

inline static

Definition at line 321 of file easy_parser.hpp.

## unwrap_value()

template<typename T , std::size_t S>

static RESTINIO_NODISCARD result_type && restinio::easy_parser::result_value_wrapper< std::array< T, S > >::unwrap_value | ( | wrapped_type & | v | ) |

inline static

Definition at line 335 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp